Loading...
Searching...
No Matches
problem_mixed_basic< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::problem_mixed_basic< T, M >

Definition at line 178 of file problem_mixed.h.

## Public Types

typedef solver_basic< T, M >::size_type | size_type
typedef solver_basic< T, M >::determinant_type | determinant_type

## Public Member Functions

| problem_mixed_basic ()
| problem_mixed_basic (const form_basic< T, M > &a, const form_basic< T, M > &b, const solver_option &sopt=solver_option())
| problem_mixed_basic (const form_basic< T, M > &a, const form_basic< T, M > &b, const form_basic< T, M > &c, const solver_option &sopt=solver_option())
void | solve (const field_basic< T, M > &lh, const field_basic< T, M > &kh, field_basic< T, M > &uh, field_basic< T, M > &ph) const
bool | initialized () const
const solver_option & | option () const
void | set_metric (const form &mp)
void | set_preconditionner (const problem &pmp)
void | set_inner_problem (const problem &pa)

## Protected Member Functions

void | _init_s () const

## Protected Attributes

form_basic< T, M > | _a
form_basic< T, M > | _b
form_basic< T, M > | _c
solver_option | _sopt
form_basic< T, M > | _mp
problem_basic< T, M > | _pmp
problem_basic< T, M > | _pa
solver_abtb_basic< T, M > | _s
bool | _init_s_done

## Member Typedef Documentation

## size_type

template<class T , class M = rheo_default_memory_model>

typedef solver_basic<T,M>::size_type size_type

Definition at line 183 of file problem_mixed.h.

## determinant_type

template<class T , class M = rheo_default_memory_model>

typedef solver_basic<T,M>::determinant_type determinant_type

Definition at line 184 of file problem_mixed.h.

## Constructor & Destructor Documentation

## problem_mixed_basic() [1/3]

template<class T , class M >

problem_mixed_basic | ( |  | ) |

Definition at line 244 of file problem_mixed.h.

## problem_mixed_basic() [2/3]

template<class T , class M >

problem_mixed_basic | ( | const form_basic< T, M > & | a,
|  | const form_basic< T, M > & | b,
|  | const solver_option & | sopt = `solver_option()`
| ) |  |

Definition at line 258 of file problem_mixed.h.

## problem_mixed_basic() [3/3]

template<class T , class M >

problem_mixed_basic | ( | const form_basic< T, M > & | a,
|  | const form_basic< T, M > & | b,
|  | const form_basic< T, M > & | c,
|  | const solver_option & | sopt = `solver_option()`
| ) |  |

Definition at line 275 of file problem_mixed.h.

## Member Function Documentation

## solve()

template<class T , class M >

void solve | ( | const field_basic< T, M > & | lh,
|  | const field_basic< T, M > & | kh,
|  | field_basic< T, M > & | uh,
|  | field_basic< T, M > & | ph
| ) |  | const

Definition at line 351 of file problem_mixed.h.

## initialized()

template<class T , class M >

bool initialized | ( |  | ) | const

Definition at line 294 of file problem_mixed.h.

## option()

template<class T , class M >

const solver_option & option | ( |  | ) | const

Definition at line 301 of file problem_mixed.h.

## set_metric()

template<class T , class M >

void set_metric | ( | const form & | mp | ) |

Definition at line 308 of file problem_mixed.h.

## set_preconditionner()

template<class T , class M >

void set_preconditionner | ( | const problem & | pmp | ) |

Definition at line 315 of file problem_mixed.h.

## set_inner_problem()

template<class T , class M >

void set_inner_problem | ( | const problem & | pa | ) |

Definition at line 322 of file problem_mixed.h.

## _init_s()

template<class T , class M >

void _init_s | ( |  | ) | const

protected

Definition at line 329 of file problem_mixed.h.

## Member Data Documentation

## _a

template<class T , class M = rheo_default_memory_model>

form_basic<T,M> _a

protected

Definition at line 223 of file problem_mixed.h.

## _b

template<class T , class M = rheo_default_memory_model>

form_basic<T,M> _b

protected

Definition at line 223 of file problem_mixed.h.

## _c

template<class T , class M = rheo_default_memory_model>

form_basic<T,M> _c

protected

Definition at line 223 of file problem_mixed.h.

## _sopt

template<class T , class M = rheo_default_memory_model>

solver_option _sopt

protected

Definition at line 224 of file problem_mixed.h.

## _mp

template<class T , class M = rheo_default_memory_model>

form_basic<T,M> _mp

mutable protected

Definition at line 225 of file problem_mixed.h.

## _pmp

template<class T , class M = rheo_default_memory_model>

problem_basic<T,M> _pmp

protected

Definition at line 226 of file problem_mixed.h.

## _pa

template<class T , class M = rheo_default_memory_model>

problem_basic<T,M> _pa

protected

Definition at line 226 of file problem_mixed.h.

## _s

template<class T , class M = rheo_default_memory_model>

solver_abtb_basic<T,M> _s

mutable protected

Definition at line 227 of file problem_mixed.h.

## _init_s_done

template<class T , class M = rheo_default_memory_model>

bool _init_s_done

mutable protected

Definition at line 228 of file problem_mixed.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/problem_mixed.h